%define pkg  autoconf
%define maj  2
%define min  59

Summary:     A package of M4 macros to produce scripts to automatically configure sourcecode
Name:        %{pkg}%{maj}%{min}
Version:     %{maj}.%{min}
Release:     2.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.gnu.org/gnu/%{pkg}/%{pkg}-%{version}.tar.bz2
URL:         http://www.gnu.org/software/%{pkg}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl sh-utils m4
Provides:    %{name}.pp %{pkg}
Prereq:      /bin/bash
BuildPrereq: perl /bin/mkdir /usr/bin/make /usr/bin/install sh-utils m4
BuildArch:   noarch
ExclusiveOS: linux


%description
Autoconf is an extensible package of m4 macros that produce shell
scripts to automatically configure software source code packages.
These scripts can adapt the package to many kinds of UNIX-like
systems without manual user intervention.


%prep
%setup -q -n %{pkg}-%{version}

# Change datadir/autoconf to datadir/autoconf-version
for mkfile in `find . -name Makefile.in`; do
   perl -pi -e 's,(\$\(datadir\)/\@PACKAGE\@).*,${1}-\@VERSION\@,g' ${mkfile}
done


%build
./configure \
	--prefix=/usr                          \
	--sysconfdir=/etc                      \
	--localstatedir=/var                   \
	--infodir=/usr/share/info              \
	--mandir=/usr/share/man                \
	--program-suffix=-%{version}
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/info
gzip doc/*.info


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog* INSTALL NEWS
%doc README THANKS TODO doc/*.info*
/usr/bin/*
%dir /usr/share/%{pkg}-%{version}
/usr/share/%{pkg}-%{version}/*
/usr/share/man/man1/*


%changelog
* Mon Nov 08 2004 peter.pramberger@member.fsf.org
- created

